# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Name:		qubes-gui-agent-selinux
Version:	4.2.2
Release:	1%{dist}
Summary:	The Qubes GUI Agent for AppVMs
License:	GPLv2+
URL:		https://www.qubes-os.org
BuildArch: noarch

BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildRequires: qubes-core-agent-selinux
Requires(post): qubes-core-agent-selinux
BuildRequires: qubes-core-qrexec-vm-selinux
Requires(post): qubes-core-qrexec-vm-selinux
%{?selinux_requires}

Source0: qubes-gui-agent-%{version}.tar.gz

%description
SELinux policy for the Qubes GUI Agent.  This allows the Qubes GUI Agent to run
in a VM with SELinux enforcing, as is the default on Red Hat-family
distributions.

%prep
%setup -qn qubes-gui-agent-%{version}

%files
%_datadir/selinux/packages/qubes-gui-agent.pp

%build
%{?set_build_flags}
#make clean
make selinux

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%install
make install-selinux DESTDIR=$RPM_BUILD_ROOT \
                     LIBDIR=%{_libdir} \
                     DATADIR=%{_datadir} \

%post

%selinux_modules_install %{_datadir}/selinux/packages/qubes-gui-agent.pp

%postun
if [ "$1" -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/qubes-gui-agent.pp
fi || :

%posttrans
%selinux_relabel_post
exit 0

%changelog
* Mon Jan 09 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-agent-linux

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d79f82c
- version 4.2.2

* Mon Jan 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c188b4d
- rpm: remove explicit dependency on libvchan

* Fri Dec 30 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - efa09d0
- version 4.2.1

* Fri Dec 30 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e29d0f7
- ci: drop R4.1

* Thu Dec 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3ef5ec2
- version 4.2.0

* Wed Dec 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d325ddb
- Add gui-agent-vm spec to .qubesbuilder too

* Wed Dec 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1ee1ac3
- Makefile improvements

* Wed Dec 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 8dc8d0d
- Move SELinux to a new spec file

* Wed Dec 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 792b01a
- Require pam_selinux and pam_loginuid if they exist

* Wed Dec 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 98f898d
- SELinux support

* Wed Dec 28 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5effd4b
- Let systemd manage PulseAudio

* Fri Dec 23 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - b863e45
- Announce support for the clipboard wipe service

* Fri Dec 23 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - f9cafb2
- Change the clipboard wipe service name to `gui-agent-clipboard-wipe`

* Mon Dec 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92e19b4
- version 4.1.28

* Mon Dec 05 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - 7b6aefa
- Make clipboard wipe togglable

* Fri Dec 02 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - b87a649
- Add automatic clipboard wipe

* Thu Oct 20 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0f9683
- version 4.1.27

* Mon Oct 17 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c8168cc
- Remove hanging person image

* Sun Oct 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f739fb3
- Fix pulseaudio module path

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62609b5
- rpm: fix pulseaudio version detection

* Wed Jul 20 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - a15de47
- Use larger vchan buffers

* Fri Jul 15 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 31a05ff
- Drop obsolete checks for disposable VM restore

* Wed Jun 22 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02a62e0
- version 4.1.26

* Wed Jun 22 2022 fepitre-bot <fepitre-bot@qubes-os.org> - 1078a72
- Add pulseaudio-16.1 headers

* Wed Jun 22 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 62a661c
- get-latest-pulsecore.sh: ensure to use gpg for git tag

* Mon Jun 20 2022 ejose19 <8742215+ejose19@users.noreply.github.com> - 86e1bbe
- Adjust pulseaudio modules dir

* Mon Jun 20 2022 ejose19 <8742215+ejose19@users.noreply.github.com> - 2499ddf
- adjust pulsecore download script to use upstream repo to obtain headers

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 914db74
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e04ccb1
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 399dc7a
- Drop Travis CI

* Sat Mar 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a6ce85
- version 4.1.25

* Fri Mar 04 2022 Rudd-O <rudd-o@rudd-o.com> - d9f648f
- Update qubes-session

* Wed Feb 23 2022 Rudd-O <rudd-o@rudd-o.com> - ac4b08b
- Make qubes-session inherit the systemd user session variables.

* Fri Feb 18 2022 Ivan Kardykov <kardykov@tabit.pro> - c5b764b
- dummyqbs: fix debian build with glamor

* Fri Feb 18 2022 Ivan Kardykov <kardykov@tabit.pro> - dc7abce
- dummyqbs: Add glamor acceleration

* Thu Jan 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7fa684
- version 4.1.24

* Thu Jan 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0fa4e24
- archlinux: bump xorg ABI version requirements

* Mon Dec 13 2021 Otto Sabart <seberm@seberm.com> - 4fca698
- archlinux: add lsb-release into make dependencies

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7caf286
- version 4.1.23

* Thu Oct 21 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - d6d74fc
- Fix minor problems

* Thu Oct 21 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 1cd3b7b
- Ensure that no subwindows are created

* Tue Sep 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3ca265a
- Fix XEMBED_EMBEDDED_NOTIFY parameters

* Tue Aug 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33cf99d
- version 4.1.22

* Sun Aug 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63c9de3
- pulse: set module version to the PA version

* Thu Jul 29 2021 fepitre-bot <fepitre-bot@qubes-os.org> - 5da31c7
- Add pulseaudio-15.0 headers

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 43978ae
- version 4.1.21

* Sat Jul 10 2021 Nedyalko Andreev <n@andreev.sh> - 35ae44f
- Fix support for non-latin variants when we append the us layout

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ce1437
- version 4.1.20

* Thu Jul 08 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 4fafcb0
- Fix the name of WM_DELETE_WINDOW

* Wed Jul 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 59ddfd3
- Fix getting all the required atoms

